Package com.documentum.operations

# Interface IDfMoveNode

All Superinterfaces:
  `IDfOperationNode`

public interface IDfMoveNode extends IDfOperationNode
Represents an object in a move operation.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IDfId`
  `getDestinationFolderId()`
  This is the folder where objects are being moved (linked).
  `IDfSysObject`
  `getObject()`
  Returns the IDfSysObject that is the subject of this operation node.
  `IDfId`
  `getObjectId()`
  Returns the docbase object Id of the IDfSysObject for this node.
  `IDfId`
  `getSourceFolderId()`
  This is the folder from which objects are being moved (unlinked).
  `void`
  `setDestinationFolderId(IDfId destFolderId)`
  Sets the docbase object Id of the destination folder for this node.
  `void`
  `setSourceFolderId(IDfId sourceFolderId)`
  Sets the docbase object Id of the source folder for this node.

  ### Methods inherited from interface com.documentum.operations.IDfOperationNode

  `getChildren, getEdgeProperties, getId, getOperation, getParent, getPersistentProperties, getProperties, isRoot`

- ## Method Details

  - ### getObject

    IDfSysObject getObject() throws DfException
    Returns the IDfSysObject that is the subject of this operation node.
    Returns:
      IDfSysObject for this node.
    Throws:
      `DfException`
    See Also:
      - `IDfSysObject`

  - ### getObjectId

    IDfId getObjectId() throws DfException
    Returns the docbase object Id of the IDfSysObject for this node.
    Returns:
      object Id of the IDfSysObject for this node.
    Throws:
      `DfException`
    See Also:
      - `IDfTypedObject.getObjectId()`

  - ### getSourceFolderId

    IDfId getSourceFolderId() throws DfException
    This is the folder from which objects are being moved (unlinked). The source folder can also be specified on the overally move operation. The source folder has to be specified before the move operation is executed.
    Throws:
      `DfException`
    See Also:
      - `IDfFolder`

  - ### setSourceFolderId

    void setSourceFolderId(IDfId sourceFolderId) throws DfException
    Sets the docbase object Id of the source folder for this node. This is the folder from where the object will be moved. The source folder can also be specified on the overally move operation. The source folder has to be specified before the move operation is executed.
    Parameters:
      `sourceFolderId` - docbase Id of the source folder for the node.
    Throws:
      `DfException`
    See Also:
      - `IDfFolder`

  - ### getDestinationFolderId

    IDfId getDestinationFolderId() throws DfException
    This is the folder where objects are being moved (linked). The destination folder can also be specified on the overally move operation. The destination folder has to be specified before the move operation is executed.
    Returns:
      docbase Id of the destination folder for the node
    Throws:
      `DfException`
    See Also:
      - `IDfFolder`

  - ### setDestinationFolderId

    void setDestinationFolderId(IDfId destFolderId) throws DfException
    Sets the docbase object Id of the destination folder for this node. This is the folder where the object will be moved. The destination folder can also be specified on the overally move operation. The destination folder has to be specified before the move operation is executed.
    Parameters:
      `destFolderId` - docbase Id of the destination folder for the node.
    Throws:
      `DfException`
    See Also:
      - `IDfFolder`